Bug 1206468 - journal fills up with "Limiting TX power" messages
Summary: journal fills up with "Limiting TX power" messages
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 08:20 UTC by Teppo Turtiainen
Modified: 2015-04-21 19:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:31:09 UTC
Type: Bug


Attachments (Terms of Use)
0001-mac80211-reduce-log-spam-from-ieee80211_handle_pwr_c.patch (1.60 KB, patch)
2015-03-31 14:48 UTC, John W. Linville
no flags Details | Diff

Description Teppo Turtiainen 2015-03-27 08:20:06 UTC
The systemd journal fills up with messages like this:

maalis 27 10:07:54 computer kernel: wlp2s0: Limiting TX power to 20 (20 - 0) dBm as advertised by xx:xx:xx:xx:xx:xx

These messages appear every few seconds. The advertising device is an Android phone.

Comment 1 John W. Linville 2015-03-27 13:58:31 UTC
Johannes, do we need these message to be pr_info?  Could they be pr_debug instead?

Comment 2 Johannes Berg 2015-03-31 14:20:11 UTC
yeah I guess these aren't all that interesting ... want to post a patch? :)

Comment 3 John W. Linville 2015-03-31 14:47:11 UTC
No problem...

Comment 4 John W. Linville 2015-03-31 14:48:12 UTC
Created attachment 1009097 [details]
0001-mac80211-reduce-log-spam-from-ieee80211_handle_pwr_c.patch

Comment 5 John W. Linville 2015-03-31 18:17:07 UTC
http://marc.info/?l=linux-wireless&m=142781402222281&w=2

Comment 6 John W. Linville 2015-04-21 19:31:09 UTC
Queued for upstream kernel version 4.1...

commit cef2fc1ce4326f7f24c3cf938b94a661fbe773e3
Author: John Linville <linville@tuxdriver.com>
Date:   Tue Mar 31 10:49:14 2015 -0400

    mac80211: reduce log spam from ieee80211_handle_pwr_constr
    
    This changes a couple of messages from sdata_info to sdata_dbg.
    This should reduce some log spam, as reported here:
    
        https://bugzilla.redhat.com/show_bug.cgi?id=1206468
    
    Signed-off-by: John W. Linville <linville@tuxdriver.com>
    Signed-off-by: Johannes Berg <johannes.berg@intel.com>


Note You need to log in before you can comment on or make changes to this bug.